#include <Window.h>
#include <Application.h>
#include <stdlib.h>


class SimpleWindow : public BWindow {
public:
	SimpleWindow(BRect frame); 
	virtual	bool QuitRequested();
};


SimpleWindow::SimpleWindow(BRect frame)
	: BWindow(frame, "A Simple Window", B_TITLED_WINDOW, B_NOT_RESIZABLE)
{
}


bool
SimpleWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
    return true;
}


class SimpleApplication : public BApplication {
public:
	SimpleApplication();
};


SimpleApplication::SimpleApplication()
	: BApplication("application/x-vnd.dps-simpleapp")
{
	SimpleWindow  *aWindow;
	SimpleWindow  *aWindow2;
	BRect         aRect;
	BRect         aRect2;
	float x = 320;
	float y = 220;

	aRect.Set(x, y, x + 180, y + 30); //left, top, right, bottom
	aRect2.Set(y, x, y + 180, x + 30);

	aWindow = new SimpleWindow(aRect);
	aWindow2 = new SimpleWindow(aRect2);

	aWindow->Show();
	aWindow2->Show();
	system("sleep 1");

	aWindow->SetTitle("and now it will move...");
	aWindow2->SetTitle("and now it will move...");
	system("sleep 1");

	aWindow->SetTitle("my moving window1");
	aWindow2->SetTitle("my moving window2");

	for (; x > 0; x--, y -= ((float)220 / (float)320)) {
		aWindow->MoveTo(x, y);
		aWindow2->MoveTo(y, x);
	}
	//x=0; y=0;
	for (; (x <= 320); x++, y += ((float)220 / (float)320)) {
		aWindow->MoveTo(x, y);
		aWindow2->MoveTo(y, x);
	}
	system("sleep 1");
	for (; y <= 800; y *= 1.009) {
		aWindow->MoveTo(x, y);
		aWindow2->MoveTo(y, x);
	}

	be_app->PostMessage(B_QUIT_REQUESTED);
}


int  main()
{

	SimpleApplication   myApplication;
	myApplication.Run();

	return 0;
}


